Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm
Class SwarmEnvironmentImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.SwarmEnvironmentImpl

public class SwarmEnvironmentImpl
extends BaseImpl
implements SwarmEnvironmentS, SwarmEnvironment

Container object for Swarm globals. Container object for Swarm globals

Field Summary
`Arguments` | `arguments`
`Symbol` | `Completed`
`Symbol` | `ControlStateNextTime`
`Symbol` | `ControlStateQuit`
`Symbol` | `ControlStateRunning`
`Symbol` | `ControlStateStepping`
`Symbol` | `ControlStateStopped`
`Symbol` | `End`
`Zone` | `globalZone`
`boolean` | `guiFlag`
`Archiver` | `hdf5AppArchiver`
`Archiver` | `hdf5Archiver`
`Symbol` | `Holding`
`Symbol` | `Initialized`
`Symbol` | `LanguageCOM`
`Symbol` | `LanguageJava`
`Symbol` | `LanguageObjc`
`Archiver` | `lispAppArchiver`
`Archiver` | `lispArchiver`
`Symbol` | `Member`
`ProbeDisplayManager` | `probeDisplayManager`
`ProbeLibrary` | `probeLibrary`
`MT19937gen` | `randomGenerator`
`Symbol` | `Randomized`
`Symbol` | `Released`
`Symbol` | `Running`
`Zone` | `scratchZone`
`Symbol` | `Sequential`
`Symbol` | `Start`
`Symbol` | `Stopped`
`Symbol` | `Terminated`
`UniformDoubleDist` | `uniformDblRand`
`UniformIntegerDist` | `uniformIntRand`

Constructor Summary
`SwarmEnvironmentImpl()`
`SwarmEnvironmentImpl(java.lang.String appName, java.lang.String version, java.lang.String bugAddress, int count, java.lang.String[] args)`

Method Summary
`void` | `createArchivedCompleteProbeDisplay$name(java.lang.Object obj, java.lang.String name)`
`void` | `createArchivedProbeDisplay(java.lang.Object obj, java.lang.String name)`
`void` | `createCompleteProbeDisplay(java.lang.Object obj)`
`void` | `createProbeDisplay(java.lang.Object obj)`
`void` | `dumpDirectory()`
`Arguments` | `getArguments()`
`Symbol` | `getCompleted()`
`Symbol` | `getControlStateNextTime()`
`Symbol` | `getControlStateQuit()`
`Symbol` | `getControlStateRunning()`
`Symbol` | `getControlStateStepping()`
`Symbol` | `getControlStateStopped()`
`SwarmActivity` | `getCurrentSwarmActivity()`
`int` | `getCurrentTime()`
`Symbol` | `getEnd()`
`Zone` | `getGlobalZone()`
`boolean` | `getGuiFlag()`
`Archiver` | `getHdf5AppArchiver()`
`Archiver` | `getHdf5Archiver()`
`Symbol` | `getHolding()`
`Symbol` | `getInitialized()`
`Symbol` | `getLanguageCOM()`
`Symbol` | `getLanguageJava()`
`Symbol` | `getLanguageObjc()`
`Archiver` | `getLispAppArchiver()`
`Archiver` | `getLispArchiver()`
`Symbol` | `getMember()`
`ProbeDisplayManager` | `getProbeDisplayManager()`
`ProbeLibrary` | `getProbeLibrary()`
`MT19937gen` | `getRandomGenerator()`
`Symbol` | `getRandomized()`
`Symbol` | `getReleased()`
`Symbol` | `getRunning()`
`Zone` | `getScratchZone()`
`Symbol` | `getSequential()`
`Symbol` | `getStart()`
`Symbol` | `getStopped()`
`Symbol` | `getTerminated()`
`UniformDoubleDist` | `getUniformDblRand()`
`UniformIntegerDist` | `getUniformIntRand()`
`void` | `initSwarm(java.lang.String appName, java.lang.String version, java.lang.String bugAddress, java.lang.String[] args)`
`void` | `setComponentWindowGeometryRecordName$name(java.lang.Object widget, java.lang.Object name)`
`void` | `setComponentWindowGeometryRecordNameFor$widget$name(java.lang.Object obj, java.lang.Object widget, java.lang.Object name)`
`void` | `setWindowGeometryRecordName(java.lang.Object obj, java.lang.String name)`
`java.lang.String` | `typeModule(java.lang.String typeName)`
`void` | `updateDisplay()`
`void` | `verboseMessage(java.lang.String message)`
`void` | `xfprint(java.lang.Object obj)`
`void` | `xprint(java.lang.Object obj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LanguageObjc

    public Symbol LanguageObjc

### LanguageJava

    public Symbol LanguageJava

### LanguageCOM

    public Symbol LanguageCOM

### guiFlag

    public boolean guiFlag

### lispAppArchiver

    public Archiver lispAppArchiver

### hdf5AppArchiver

    public Archiver hdf5AppArchiver

### lispArchiver

    public Archiver lispArchiver

### hdf5Archiver

    public Archiver hdf5Archiver

### probeDisplayManager

    public ProbeDisplayManager probeDisplayManager

### probeLibrary

    public ProbeLibrary probeLibrary

### uniformDblRand

    public UniformDoubleDist uniformDblRand

### uniformIntRand

    public UniformIntegerDist uniformIntRand

### randomGenerator

    public MT19937gen randomGenerator

### globalZone

    public Zone globalZone

### scratchZone

    public Zone scratchZone

### ControlStateNextTime

    public Symbol ControlStateNextTime

### ControlStateQuit

    public Symbol ControlStateQuit

### ControlStateStepping

    public Symbol ControlStateStepping

### ControlStateStopped

    public Symbol ControlStateStopped

### ControlStateRunning

    public Symbol ControlStateRunning

### Sequential

    public Symbol Sequential

### Randomized

    public Symbol Randomized

### Completed

    public Symbol Completed

### Terminated

    public Symbol Terminated

### Released

    public Symbol Released

### Holding

    public Symbol Holding

### Stopped

    public Symbol Stopped

### Running

    public Symbol Running

### Initialized

    public Symbol Initialized

### End

    public Symbol End

### Member

    public Symbol Member

### Start

    public Symbol Start

### arguments

    public Arguments arguments

Constructor Detail

### SwarmEnvironmentImpl

    public SwarmEnvironmentImpl()

### SwarmEnvironmentImpl

    public SwarmEnvironmentImpl(java.lang.String appName,
                                java.lang.String version,
                                java.lang.String bugAddress,
                                int count,
                                java.lang.String[] args)

Method Detail

### updateDisplay

    public void updateDisplay()

  Specified by:
    updateDisplay in interface SwarmEnvironment

### verboseMessage

    public void verboseMessage(java.lang.String message)

  Specified by:
    verboseMessage in interface SwarmEnvironment

### typeModule

    public java.lang.String typeModule(java.lang.String typeName)

  Specified by:
    typeModule in interface SwarmEnvironment

### dumpDirectory

    public void dumpDirectory()

  Specified by:
    dumpDirectory in interface SwarmEnvironment

### xfprint

    public void xfprint(java.lang.Object obj)

  Specified by:
    xfprint in interface SwarmEnvironment

### xprint

    public void xprint(java.lang.Object obj)

  Specified by:
    xprint in interface SwarmEnvironment

### setComponentWindowGeometryRecordName$name

    public void setComponentWindowGeometryRecordName$name(java.lang.Object widget,
                                                          java.lang.Object name)

  Specified by:
    setComponentWindowGeometryRecordName$name in interface SwarmEnvironment

### setComponentWindowGeometryRecordNameFor$widget$name

    public void setComponentWindowGeometryRecordNameFor$widget$name(java.lang.Object obj,
                                                                    java.lang.Object widget,
                                                                    java.lang.Object name)

  Specified by:
    setComponentWindowGeometryRecordNameFor$widget$name in interface SwarmEnvironment

### setWindowGeometryRecordName

    public void setWindowGeometryRecordName(java.lang.Object obj,
                                            java.lang.String name)

  Specified by:
    setWindowGeometryRecordName in interface SwarmEnvironment

### createArchivedCompleteProbeDisplay$name

    public void createArchivedCompleteProbeDisplay$name(java.lang.Object obj,
                                                        java.lang.String name)

  Specified by:
    createArchivedCompleteProbeDisplay$name in interface SwarmEnvironment

### createArchivedProbeDisplay

    public void createArchivedProbeDisplay(java.lang.Object obj,
                                           java.lang.String name)

  Specified by:
    createArchivedProbeDisplay in interface SwarmEnvironment

### createCompleteProbeDisplay

    public void createCompleteProbeDisplay(java.lang.Object obj)

  Specified by:
    createCompleteProbeDisplay in interface SwarmEnvironment

### createProbeDisplay

    public void createProbeDisplay(java.lang.Object obj)

  Specified by:
    createProbeDisplay in interface SwarmEnvironment

### getCurrentSwarmActivity

    public SwarmActivity getCurrentSwarmActivity()

  Specified by:
    getCurrentSwarmActivity in interface SwarmEnvironment

### getCurrentTime

    public int getCurrentTime()

  Specified by:
    getCurrentTime in interface SwarmEnvironment

### initSwarm

    public void initSwarm(java.lang.String appName,
                          java.lang.String version,
                          java.lang.String bugAddress,
                          java.lang.String[] args)

  Specified by:
    initSwarm in interface SwarmEnvironment

### getLanguageObjc

    public Symbol getLanguageObjc()

  Specified by:
    getLanguageObjc in interface SwarmEnvironment

### getLanguageJava

    public Symbol getLanguageJava()

  Specified by:
    getLanguageJava in interface SwarmEnvironment

### getLanguageCOM

    public Symbol getLanguageCOM()

  Specified by:
    getLanguageCOM in interface SwarmEnvironment

### getGuiFlag

    public boolean getGuiFlag()

  Specified by:
    getGuiFlag in interface SwarmEnvironment

### getLispAppArchiver

    public Archiver getLispAppArchiver()

  Specified by:
    getLispAppArchiver in interface SwarmEnvironment

### getHdf5AppArchiver

    public Archiver getHdf5AppArchiver()

  Specified by:
    getHdf5AppArchiver in interface SwarmEnvironment

### getLispArchiver

    public Archiver getLispArchiver()

  Specified by:
    getLispArchiver in interface SwarmEnvironment

### getHdf5Archiver

    public Archiver getHdf5Archiver()

  Specified by:
    getHdf5Archiver in interface SwarmEnvironment

### getProbeDisplayManager

    public ProbeDisplayManager getProbeDisplayManager()

  Specified by:
    getProbeDisplayManager in interface SwarmEnvironment

### getProbeLibrary

    public ProbeLibrary getProbeLibrary()

  Specified by:
    getProbeLibrary in interface SwarmEnvironment

### getUniformDblRand

    public UniformDoubleDist getUniformDblRand()

  Specified by:
    getUniformDblRand in interface SwarmEnvironment

### getUniformIntRand

    public UniformIntegerDist getUniformIntRand()

  Specified by:
    getUniformIntRand in interface SwarmEnvironment

### getRandomGenerator

    public MT19937gen getRandomGenerator()

  Specified by:
    getRandomGenerator in interface SwarmEnvironment

### getGlobalZone

    public Zone getGlobalZone()

  Specified by:
    getGlobalZone in interface SwarmEnvironment

### getScratchZone

    public Zone getScratchZone()

  Specified by:
    getScratchZone in interface SwarmEnvironment

### getControlStateNextTime

    public Symbol getControlStateNextTime()

  Specified by:
    getControlStateNextTime in interface SwarmEnvironment

### getControlStateQuit

    public Symbol getControlStateQuit()

  Specified by:
    getControlStateQuit in interface SwarmEnvironment

### getControlStateStepping

    public Symbol getControlStateStepping()

  Specified by:
    getControlStateStepping in interface SwarmEnvironment

### getControlStateStopped

    public Symbol getControlStateStopped()

  Specified by:
    getControlStateStopped in interface SwarmEnvironment

### getControlStateRunning

    public Symbol getControlStateRunning()

  Specified by:
    getControlStateRunning in interface SwarmEnvironment

### getSequential

    public Symbol getSequential()

  Specified by:
    getSequential in interface SwarmEnvironment

### getRandomized

    public Symbol getRandomized()

  Specified by:
    getRandomized in interface SwarmEnvironment

### getCompleted

    public Symbol getCompleted()

  Specified by:
    getCompleted in interface SwarmEnvironment

### getTerminated

    public Symbol getTerminated()

  Specified by:
    getTerminated in interface SwarmEnvironment

### getReleased

    public Symbol getReleased()

  Specified by:
    getReleased in interface SwarmEnvironment

### getHolding

    public Symbol getHolding()

  Specified by:
    getHolding in interface SwarmEnvironment

### getStopped

    public Symbol getStopped()

  Specified by:
    getStopped in interface SwarmEnvironment

### getRunning

    public Symbol getRunning()

  Specified by:
    getRunning in interface SwarmEnvironment

### getInitialized

    public Symbol getInitialized()

  Specified by:
    getInitialized in interface SwarmEnvironment

### getEnd

    public Symbol getEnd()

  Specified by:
    getEnd in interface SwarmEnvironment

### getMember

    public Symbol getMember()

  Specified by:
    getMember in interface SwarmEnvironment

### getStart

    public Symbol getStart()

  Specified by:
    getStart in interface SwarmEnvironment

### getArguments

    public Arguments getArguments()

  Specified by:
    getArguments in interface SwarmEnvironment

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD